1. Accounts
NotifyMe
  • Introduction
  • Authentication
  • API Reference
    • Accounts
      • List accounts
        GET
      • Add account
        POST
      • Edit account
        PATCH
      • Delete account
        DELETE
      • Test notification
        POST
      • Force notification
        POST
    • Embeds
      • List embeds
      • Create embed
      • Edit embed
      • Delete embed
    • Bot Styles
      • List bot styles
      • Create bot style
      • Edit bot style
      • Delete bot style
Discord BotManagement API
Legal
Discord BotManagement API
Legal
  1. Accounts

Add account

Developing
POST
https://public-api.notifyme.bot/v1/management/accounts
Rate Limit:10 req/minute

Request

Authorization
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
Query Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401Unauthorized
🟠402Payment Required
🟠404Not Found
🔴500Internal Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://public-api.notifyme.bot/v1/management/accounts?server_id=1044159651178094592&platform=youtube' \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "url": "string",
    "status": true,
    "discord_channel_id": "string",
    "ping_role_id": "string",
    "customization": {
        "embed_internal_id": "string",
        "bot_style_internal_id": "string"
    },
    "content_types": [
        "video"
    ],
    "message": {
        "video": "string",
        "live": "string",
        "tweet": "string"
    }
}'
Response Response Example
200 - Example 1
{
    "status": true,
    "account_internal_id": "string"
}
Previous
List accounts
Next
Edit account
Built with